NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::DieLimitsBuilder Class Reference

Limits a path to a segment of the path. More...

Inheritance diagram for NXOpen::Die::DieLimitsBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::ScCollectorCurve ()
 Returns the curve used to set the limits. More...
 
NXOpen::CurveGetPath ()
 Get the path used for the limits. More...
 
void GetPathObjects (std::vector< NXOpen::NXObject * > &objectArray)
 Get the objects used to create the path. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderPoint1 ()
 Returns the first limit point. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderPoint2 ()
 Returns the last limit point. More...
 
bool RemoveLimitPoints ()
 Returns the indication that limit points are being removed. More...
 
int Reverse ()
 Returns the indication that limit points should be reversed. More...
 
void SetLimitsFromCurve (NXOpen::Curve *curve)
 Set the limits from the endpoints of the input curve. More...
 
void SetPath (NXOpen::Curve *path)
 Set the path used for the limits. More...
 
void SetPathObjects (const std::vector< NXOpen::NXObject * > &objectArray)
 Set the objects used to create the path. More...
 
void SetRemoveLimitPoints (bool remove)
 Sets the indication that limit points are being removed. More...
 
void SetReverse (int reverse)
 Sets the indication that limit points should be reversed. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Limits a path to a segment of the path.


To create a new instance of this class, use NXOpen::Die::DieCollection::CreateDieLimits

Created in NX7.5.0.

Member Function Documentation

NXOpen::ScCollector* NXOpen::Die::DieLimitsBuilder::Curve ( )

Returns the curve used to set the limits.

The string will be combined into a single curve and the endpoints of the combined curve will be used to set the first and last limit points.


Created in NX7.5.0.

License requirements : None

NXOpen::Curve* NXOpen::Die::DieLimitsBuilder::GetPath ( )

Get the path used for the limits.

Returns

Created in NX8.0.0.

License requirements : None
void NXOpen::Die::DieLimitsBuilder::GetPathObjects ( std::vector< NXOpen::NXObject * > &  objectArray)

Get the objects used to create the path.


Created in NX7.5.0.

License requirements : None

Parameters
objectArrayThe opening objects that were used to create the path.
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DieLimitsBuilder::Point1 ( )

Returns the first limit point.


Created in NX7.5.0.

License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DieLimitsBuilder::Point2 ( )

Returns the last limit point.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Die::DieLimitsBuilder::RemoveLimitPoints ( )

Returns the indication that limit points are being removed.


Created in NX7.5.0.

License requirements : None

int NXOpen::Die::DieLimitsBuilder::Reverse ( )

Returns the indication that limit points should be reversed.

Setting of 1 indicates to reverse.
Created in NX7.5.0.

License requirements : None

void NXOpen::Die::DieLimitsBuilder::SetLimitsFromCurve ( NXOpen::Curve curve)

Set the limits from the endpoints of the input curve.


Created in NX8.0.0.

License requirements : None

Parameters
curveCurve to set limits
void NXOpen::Die::DieLimitsBuilder::SetPath ( NXOpen::Curve path)

Set the path used for the limits.


Created in NX8.0.0.

License requirements : None

Parameters
pathPath curve
void NXOpen::Die::DieLimitsBuilder::SetPathObjects ( const std::vector< NXOpen::NXObject * > &  objectArray)

Set the objects used to create the path.


Created in NX7.5.0.

License requirements : None

Parameters
objectArrayThe opening objects that were used to create the path.
void NXOpen::Die::DieLimitsBuilder::SetRemoveLimitPoints ( bool  remove)

Sets the indication that limit points are being removed.


Created in NX7.5.0.

License requirements : None

Parameters
removeremove
void NXOpen::Die::DieLimitsBuilder::SetReverse ( int  reverse)

Sets the indication that limit points should be reversed.

Setting of 1 indicates to reverse.
Created in NX7.5.0.

License requirements : None

Parameters
reversereverse
virtual bool NXOpen::Die::DieLimitsBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.